//#include "CEntity.fwd.hpp"
//#include "CScene.fwd.hpp"

/*
#include <string>

namespace CEntityFactory {
    CEntity* createCube(CScene* e);

    CEntity* createSphere(CScene* e);

    CEntity* createCylinder(CScene* e);

    CEntity* createPlane(CScene* e);

    CEntity* createReferenceAxis(CScene* e);
}*/